GED - Bug #2812

Gestion documentaire : import massif
01/06/2012 10:24 AM - Emmanuel Hugonnet

Status: Closed Start date: 01/05/2012

Priority: Normal Due date:

Assignee: Emmanuel Hugonnet % Done: 100%

Category: Estimated time: 0.00 hour

Target version: Version 5.8.1 Spent time: 8.00 hours

Navigateur: Firefox 8 Votre base de Toutes
données:

Votre version de 5.7.3 Livraison en TEST:

Silverpeas:

Systeme Livraison en PROD:

d'exploitation:

Description

Bonjour,

Je rencontre différents problémes en souhaitant faire une import massif de documents.

1. En utilisant le menu Que voulez vous faire ? / Importations de documents
avec les options 1 publi par fichier, j'obtiens le résultat suivant

- Nombre de fichiers importés : 15

- Nombre de publications générés : 1

- Temps de traitement: 12s

D'une part le résultat attendu était 15 fichiers et 15 publi, de plus la publi est vide.

2. En utilisant le glisser/déposer

Deux cas de figure: I'import abouti mais I'architecture des fichiers n'est pas conservée (voir capture écran importmassif1.png et
importmassif_archi attendue.png)

Ou alors on obtient un message d'erreur (voir capture écran importmassif1.png)

Ce probléme avait déja été constaté et devait étre réglé par le passage a la version 5.7.3.

History

#1 - 01/06/2012 10:25 AM - Emmanuel Hugonnet
- Project changed from CNRS LPC2E to GED
- Status changed from New to Resolved

- Start date changed from 11/25/2011 to 01/05/2012

#2 - 01/06/2012 10:27 AM - Emmanuel Hugonnet
- Target version set to Version 5.9

- % Done changed from 0 to 100

Utilisation du méme code pour I'import massif qu'il s'agisse d'importer via I'applet ou via un zip.

#3 - 01/11/2012 08:09 AM - Nicolas Eysseric

- Status changed from Resolved to Closed

OK. Validé.
A noter que désormais, si le fichier Zip contient une structure arborescente, le contenu de ce fichier est géré de la maniére suivante :

e option Création d'une publication avec une piéce jointe par fichier présent dans le zip : Tous les fichiers quel que soit leur niveau dans
I'arborescence seront ajoutés a la publication

¢ option Création d'autant de publications que de fichiers présents dans le zip : La structure arborescente du Zip sera recréée a l'identique
dans l'application GED.

#4 - 03/06/2012 10:33 AM - Nicolas Eysseric
- Target version changed from Version 5.9 to Version 5.8.1
